Library LsSlider;

Uses
  windows,
  vc_engine in 'vc_engine.pas',
  sliderapi in 'sliderapi.pas',
  bangs in 'bangs.pas',
  slider in 'slider.pas';

Procedure Build_Sliders(ParentWnd:Integer; cfgstr:string);
Var
  Rc: Integer;
  Buffer: PChar;
Begin
  Buffer := StrAlloc(256);
  Rc:=LCOpen(nil);
  
  VolumeStepWidth := GetRCInt('VolumeStepWidth',10);
  BalanceStepWidth := GetRCInt('BalanceStepWidth',10);
  
  While LCReadNextConfig(Rc,'*Slider',buffer,255) Do
    create_Slider(ParentWnd,buffer);
  LCClose(rc);
  StrDispose(Buffer);
End;

Function initModuleEx(ParentWnd:Integer;dllInst:Longint;szPath:PCHAR):longint; cdecl;
Begin
  Inst := dllInst;
  First_Slider := nil;
  CreateUtilityWnd;
  Init_Mixer(Utility_HWND);
  Build_Sliders(0, '');
  RegisterBangs;
  initModuleEx := 0
End;

Procedure quitModule(dllInst : Longint); cdecl;
Var
  Msgs:array [0..1] of longint;
  wc: TWndClass;
  Slider: PSlider;
Begin
  UnRegisterBangs;
  Slider := First_Slider;
  While ( Slider<>nil ) Do
  Begin
    DeleteDC(Slider^.BackDC);
    DeleteDC(Slider^.HandDC);
    KillTimer(Slider^.hMainWnd,Slider^.Timer);
    RemoveHint(Slider^.hMainWnd);
    DestroyWindow(Slider^.hMainWnd);
    First_Slider := Slider^.Next_Slider;
    Dispose (Slider);
    Slider := First_Slider;
  End;
  Destroywindow(Hint_HWND);
  If GetClassInfo(inst,'LsSliderClass',wc) then
    UnregisterClass('LsSliderClass',inst);
  If GetClassInfo(inst,'LsSliderHandle',wc) then
    UnregisterClass('LsSliderHandle',inst);
  Destroy_Mixer;
  DestroyUtilityWnd;
End;

Exports
  initModuleEx,
  quitModule;

End.